[Hardy] Ktorrent KDE4 doesn't accept torrent url as argument

Bug #195002 reported by Chow Loong Jin on 2008-02-24
2
Affects Status Importance Assigned to Milestone
ktorrent-kde4 (Ubuntu)
Medium
John Dong

Bug Description

Binary package hint: ktorrent-kde4

When trying to open a torrent file with KTorrent KDE4 through the commandline, e.g. "ktorrent-kde4 /path/to/torrent-file.torrent", it complains that KTorrent is already running and opens the KTorrrent window, without opening the torrent file.

Below is an example command line output:

hyperair@Hyperair-PC:/tmp$ ktorrent-kde4 \[isoHunt\]\ b59a62b0de4b3255f09ba8657ed9ca70287932ca.torrent
ktorrent is already running !
hyperair@Hyperair-PC:/tmp$

Changed in ktorrent-kde4:
assignee: nobody → desktop-bugs
Chow Loong Jin (hyperair) wrote :

I believe the source of the problem is the wrapper found in /usr/bin/ktorrent-kde4. It was originally:

#!/bin/sh
export LD_LIBRARY_PATH=/usr/lib/kde4/lib
export KDEHOME=~/.kde4
export KDEDIRS=/usr/lib/kde4
export PATH=/usr/lib/kde4/bin:$PATH
/usr/lib/kde4/bin/ktorrent

I changed it to:

#!/bin/sh
export LD_LIBRARY_PATH=/usr/lib/kde4/lib
export KDEHOME=~/.kde4
export KDEDIRS=/usr/lib/kde4
export PATH=/usr/lib/kde4/bin:$PATH
/usr/lib/kde4/bin/ktorrent $@

Now it passes on the torrent URL perfectly.

John Dong (jdong) wrote :

Thanks for looking into this for us. I will make sure this is fixed before Hardy goes out.

Changed in ktorrent-kde4:
assignee: desktop-bugs → jdong
importance: Undecided → Medium
milestone: none → ubuntu-8.04-beta
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ktorrent-kde4 - 1:3.0~rc1-0ubuntu2

---------------
ktorrent-kde4 (1:3.0~rc1-0ubuntu2) hardy; urgency=low

  * Properly escape "$@" in debian/rules (LP: #195002)

 -- John Dong <email address hidden> Mon, 25 Feb 2008 12:25:14 -0500

Changed in ktorrent-kde4:
status: Triaged → Fix Released
John Dong (jdong) wrote :

Ok, the final 3.0.0-0ubuntu1 package required backing out debian/rules wrapper for a cdbs alternative.

Once it hits the repositories, could you confirm the problem doesn't come back if I forget to?

Changed in ktorrent-kde4:
status: Fix Released → Incomplete
Chow Loong Jin (hyperair) wrote :

Alright, I'll keep an eye out for this.

Chow Loong Jin (hyperair) wrote :

I'd like to mention that the 1:3.0~rc1-0ubuntu2 version included a wrapper that looked like this:

#!/bin/sh
export LD_LIBRARY_PATH=/usr/lib/kde4/lib
export KDEHOME=~/.kde4
export KDEDIRS=/usr/lib/kde4
export PATH=/usr/lib/kde4/bin:$PATH
/usr/lib/kde4/bin/ktorrent $@

As a result, the wrapper cannot handle torrent files with a space in the file names. What I did was change it to look like this:

#!/bin/sh
export LD_LIBRARY_PATH=/usr/lib/kde4/lib
export KDEHOME=~/.kde4
export KDEDIRS=/usr/lib/kde4
export PATH=/usr/lib/kde4/bin:$PATH
/usr/lib/kde4/bin/ktorrent "$@"

Now all is fine, for now. Regarding the wrapper anyway.

John Dong (jdong) wrote :

Supposedly the 3.0.0 final version will use an automatic CDBS generated wrapper that won't have these issues.

Chow Loong Jin (hyperair) wrote :

It is taking a rather long time to get CDBS up and running isn't it? =\ Could I be of any help?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ktorrent-kde4 - 1:3.0.0-0ubuntu1

---------------
ktorrent-kde4 (1:3.0.0-0ubuntu1) hardy; urgency=low

  * New Upstream release (LP: #195002)
   - Escape $@ even better (LP: #192812)

 -- Steve Stalcup <email address hidden> Fri, 29 Feb 2008 12:04:02 -0500

Changed in ktorrent-kde4:
status: Incomplete → Fix Released
Chow Loong Jin (hyperair) wrote :

Works perfectly now.

Steve Stalcup (vorian) wrote :

thanks again for your patience

On Sun, Mar 02, 2008 at 02:12:43AM -0000, hyperair wrote:
> Works perfectly now.
>

That's great to hear! Enjoy using KTorrent :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers